RubyGems Navigation menu

wrest 2.1.9

Wrest is a fluent, easy-to-use, object oriented Ruby HTTP/REST client library with support for RFC2616 HTTP caching, multiple HTTP backends and async calls. It runs on CRuby and JRuby and is in production use at substantial scale.

Versiones:

  1. 3.0.0 - April 20, 2018 (40 KB)
  2. 2.2.0 - April 24, 2017 (40 KB)
  3. 2.1.9 - January 13, 2017 (40 KB)
  4. 2.1.7 - April 22, 2016 (40 KB)
  5. 2.1.6 - April 21, 2016 (40 KB)
Mostrar todas las versiones (75 total)

Requerimientos:

To use Memcached as caching back-end, install the 'dalli' gem.

To use multipart post, install the 'multipart-post' gem.

To use curl as the http engine, install the 'patron' gem. This feature is not available (and should be unneccessary) on jruby.

To use eventmachine as a parallel backend, install the 'eventmachine' gem.

Propietarios:

Autores:

  • Sidu Ponnappa, Niranjan Paranjape

SHA 256 checksum:

59dae0701dc3f0a9d5537511881a7161933c8111a14b9a0e3fbde3b8f8cff1ab

Total de descargas 170.596

Para esta versión 1.237

Gemfile:
= Copiar al portapapeles ¡Copiado!

instalar:
=

Licencia:

N/A

Versión de Ruby requerida: >= 0

Versión de Rubygems requerida: >= 1.3.0

Enlace: